package com.tanpu.feo.feojob.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tanpu.feo.feojob.entity.UserInfoEntity;
import com.tanpu.feo.feojob.mapper.UserInfoMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("userInfoService")
@Slf4j
public class UserInfoService extends ServiceImpl<UserInfoMapper, UserInfoEntity> {

	@Autowired
	private UserInfoMapper userInfoMapper;

	public List<UserInfoEntity> getUserInfoListByOrgId(String orgId) {
		return userInfoMapper.selectList(Wrappers.lambdaQuery(UserInfoEntity.class).eq(UserInfoEntity::getOrgId, orgId).eq(UserInfoEntity::getDeletetag,"0"));
	}
}
